1. Fiat APIs
AIO Docs
EN
  • EN
  • ZH
  • Overview
  • Create API Key
  • Callback
  • Security
  • Pay-in
  • Fiat Pay-in
  • Pay-out
  • API
    • Before You Begin
    • Fiat APIs
      • Fiat Pay-in Overview
      • Create KYC
        POST
      • List KYC
        GET
      • Supported Fiat Currencies
        GET
      • Crypto Map
        GET
      • Payment Methods/Codes
        GET
      • Fiat Deposit Limits
        GET
      • Fiat Pay-in Quote
        POST
      • Create Fiat Pay-in Order
        POST
      • List Fiat Pay-in Orders
        GET
    • Get Txs
      GET
    • Get Sub Txs
      GET
    • Get Tx Info
      GET
    • Create Payin Tx
      POST
    • Create Payin Longtime Tx
      POST
    • Create Payout Tx
      POST
    • Price
      GET
    • Calculate price
      GET
  • Schemas
    • Schemas
      • CallbackReqContentData
      • CallbackSubTxData
      • CallbackTxData
      • CallbackType
      • GetSubTxData
      • SubTxDataExt
      • SubTxStatus
      • GetSubTxDataResponse
      • CreateFiatKycRequest
      • CreateFiatKycResponse
      • Chain
      • ErrorResponseModel
      • PayTxData
      • PayTxStatusData
      • PayinLongTimeTxParams
      • PayinTxParams
      • PayoutSubTxParams
      • PayoutTxParams
      • PriceData
      • RedisKeyData
      • SubTxData
      • SuceedResponseModel
      • TestData
      • Token
      • TxData
      • TxDetailsData
      • TxStatus
      • TxType
      • VsToken
      • TestDataResponse
      • RedisKeyDataResponse
      • PriceDataResponse
      • PayTxDataResponse
      • PayTxStatusDataResponse
      • TxDetailsDataResponse
      • TxDataResponse
  1. Fiat APIs

List KYC

Developing
GET
/v2/fiat/kyc

What This API Does#

Returns KYC profiles for your account. You can optionally filter by fiat_kyc_id.

Query Parameters#

FieldTypeRequired / NullableConditions / Notes
fiat_kyc_idstringOptional, can be omittedFilter by one KYC profile ID. If omitted, returns all KYC profiles for your account.

Response Structure#

Returns an array of KYC profiles, newest first.
[
  {
    "fiat_kyc_id": "KYC_xxx",
    "email": "user@example.com",
    "phone": "1234567890",
    "dob": "1995-01-27",
    "country": "US",
    "status": "pending",
    "type": "individual",
    "first_name": "Alice",
    "last_name": "Doe",
    "gender": "female",
    "address": {
      "street": "123 Main St",
      "city": "New York",
      "state": "NY",
      "postal_code": "10001"
    },
    "created_at": "2026-01-15T09:00:00",
    "modified_at": "2026-01-15T09:00:00"
  }
]

Logic in a Nutshell#

Use this API to retrieve already-created KYC profiles. It is useful when you want to reuse an existing fiat_kyc_id instead of creating a new KYC record.

Request

None

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.aio.cash/v2/v2/fiat/kyc'
Response Response Example
{
    "success": true,
    "msg": "ok",
    "data": {}
}
Modified at 2026-05-18 08:39:10
Previous
Create KYC
Next
Supported Fiat Currencies
Built with